#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'imagelistdialog.ui'
**
** Created: 2013-11-28T07:30:47
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "imagelistdialog.h"

#include <qvariant.h>
#include <kdebug.h>
#include <kimageviewer/viewer.h>
#include <kio/netaccess.h>
#include <kurl.h>
#include <kfiledialog.h>
#include <tqstring.h>
#include <kmessagebox.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "imagelistitem.h"
#include "imagelistdialog.ui.h"

/*
 *  Constructs a ImageListDialog which is a child of 'parent', with the
 *  name 'name'.' 
 */
ImageListDialog::ImageListDialog( QWidget* parent,  const char* name )
    : KDialog( parent, name )
{
    if ( !name )
	setName( "ImageListDialog" );
    setAcceptDrops( TRUE );
    ImageListDialogLayout = new QHBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "ImageListDialogLayout"); 

    m_pListView = new KListView( this, "m_pListView" );
    m_pListView->addColumn( tr2i18n( "URL" ) );
    m_pListView->addColumn( tr2i18n( "Size" ) );
    m_pListView->addColumn( tr2i18n( "Dimensions" ) );
    m_pListView->setMinimumSize( QSize( 400, 0 ) );
    m_pListView->setAcceptDrops( TRUE );
    m_pListView->setAllColumnsShowFocus( TRUE );
    m_pListView->setShowSortIndicator( TRUE );
    m_pListView->setFullWidth( TRUE );
    ImageListDialogLayout->addWidget( m_pListView );

    Layout4 = new QVBoxLayout( 0, 0, KDialog::spacingHint(), "Layout4"); 

    Layout2 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout2"); 

    m_pPrevious = new KPushButton( this, "m_pPrevious" );
    m_pPrevious->setAutoDefault( FALSE );
    Layout2->addWidget( m_pPrevious );

    m_pNext = new KPushButton( this, "m_pNext" );
    m_pNext->setAutoDefault( FALSE );
    Layout2->addWidget( m_pNext );
    Layout4->addLayout( Layout2 );

    m_pShuffle = new KPushButton( this, "m_pShuffle" );
    m_pShuffle->setAutoDefault( FALSE );
    Layout4->addWidget( m_pShuffle );
    Spacer3 = new QSpacerItem( 16, 20, QSizePolicy::Minimum, QSizePolicy::Fixed );
    Layout4->addItem( Spacer3 );

    m_pSlideshow = new KPushButton( this, "m_pSlideshow" );
    m_pSlideshow->setToggleButton( TRUE );
    m_pSlideshow->setAutoDefault( FALSE );
    Layout4->addWidget( m_pSlideshow );

    m_pInterval = new KIntNumInput( this, "m_pInterval" );
    m_pInterval->setValue( 5000 );
    Layout4->addWidget( m_pInterval );
    Spacer4 = new QSpacerItem( 20, 80, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    Layout4->addItem( Spacer4 );

    m_pCloseAll = new KPushButton( this, "m_pCloseAll" );
    m_pCloseAll->setAutoDefault( FALSE );
    Layout4->addWidget( m_pCloseAll );

    Layout4_2 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout4_2"); 

    m_pSave = new KPushButton( this, "m_pSave" );
    m_pSave->setAutoDefault( FALSE );
    Layout4_2->addWidget( m_pSave );

    m_pLoad = new KPushButton( this, "m_pLoad" );
    m_pLoad->setAutoDefault( FALSE );
    Layout4_2->addWidget( m_pLoad );
    Layout4->addLayout( Layout4_2 );
    ImageListDialogLayout->addLayout( Layout4 );
    languageChange();
    resize( QSize(724, 409).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pListView, SIGNAL( aboutToMove() ), this, SLOT( noSort() ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
ImageListDialog::~ImageListDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ImageListDialog::languageChange()
{
    setCaption( tr2i18n( "Image List" ) );
    m_pListView->header()->setLabel( 0, tr2i18n( "URL" ) );
    m_pListView->header()->setLabel( 1, tr2i18n( "Size" ) );
    m_pListView->header()->setLabel( 2, tr2i18n( "Dimensions" ) );
    m_pPrevious->setText( tr2i18n( "&Previous" ) );
    m_pNext->setText( tr2i18n( "&Next" ) );
    m_pShuffle->setText( tr2i18n( "Shu&ffle" ) );
    m_pSlideshow->setText( tr2i18n( "Start &Slideshow" ) );
    m_pInterval->setLabel( tr2i18n( "Slideshow interval:" ) );
    m_pInterval->setSuffix( tr2i18n( " ms" ) );
    QWhatsThis::add( m_pInterval, tr2i18n( "This is the interval the program will wait before showing the next image in the slideshow." ) );
    m_pCloseAll->setText( tr2i18n( "&Close All" ) );
    m_pSave->setText( tr2i18n( "Sa&ve List..." ) );
    m_pLoad->setText( tr2i18n( "&Load List..." ) );
}

/****************************************************************************
** ImageListDialog meta object code from reading C++ file 'imagelistdialog.h'
**
** Created: Thu Nov 28 07:30:47 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "imagelistdialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ImageListDialog::className() const
{
    return "ImageListDialog";
}

QMetaObject *ImageListDialog::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ImageListDialog( "ImageListDialog", &ImageListDialog::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ImageListDialog::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ImageListDialog", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ImageListDialog::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ImageListDialog", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ImageListDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = KDialog::staticMetaObject();
    static const QUMethod slot_0 = {"noSort", 0, 0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QUMethod slot_2 = {"init", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "noSort()", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected },
	{ "init()", &slot_2, QMetaData::Private }
    };
    metaObj = QMetaObject::new_metaobject(
	"ImageListDialog", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ImageListDialog.setMetaObject( metaObj );
    return metaObj;
}

void* ImageListDialog::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ImageListDialog" ) )
	return this;
    return KDialog::qt_cast( clname );
}

bool ImageListDialog::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: noSort(); break;
    case 1: languageChange(); break;
    case 2: init(); break;
    default:
	return KDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ImageListDialog::qt_emit( int _id, QUObject* _o )
{
    return KDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ImageListDialog::qt_property( int id, int f, QVariant* v)
{
    return KDialog::qt_property( id, f, v);
}

bool ImageListDialog::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
